TakenAt: 2024-05-12T11:23:51Z
TakenAtLocal: 2024-05-12T12:23:51Z
TakenSrc: meta
UID: pt67xwklwuxm8e6o
Type: image
Title: People / Petersfield / 2024
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 64
Lat: 51.004894444444446
Lng: -0.9381055555555555
Year: 2024
Month: 5
Day: 12
ISO: 500
Exposure: 1/33
FNumber: 1.78
FocalLength: 48
Quality: 4
Faces: 3
Details:
  Keywords: brown, chapel, england, people, petersfield, recents, street, united-kingdom
  Software: 17.4.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T06:55:32Z
UpdatedAt: 2025-11-24T09:38:23Z
